Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455002 - Please rebuild subcommander to fix broken deps in rawhide + open up ACLs
Summary: Please rebuild subcommander to fix broken deps in rawhide + open up ACLs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: subcommander
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 455189 455191
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 11:37 UTC by Alex Lancaster
Modified: 2008-07-17 16:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-17 16:00:30 UTC


Attachments (Terms of Use)

Description Alex Lancaster 2008-07-11 11:37:30 UTC
subcommander has been on the rawhide broken deps list for a while now.  It
needs to be rebuilt for a new .soname bump:

Broken deps for i386
----------------------------------------------------------
    subcommander-1.9.93-2.fc10.i386 requires libsvn_ra_dav-1.so.0

I would fix this but the ACLs are locked down.  Would you consider opening up
the ACLs so that other Fedora maintainers could fix this package?  Thanks.

Comment 1 Jochen Schmitt 2008-07-13 18:02:57 UTC
Should be fixed in 1.9.93-3.fc10.

I have deleted the pkg.acl file. I hope this may open the ACLs.

Comment 2 Jochen Schmitt 2008-07-13 20:25:31 UTC
Unfortunately, there are some issue with the build which depends on the packages
apr-devel and apr-util-devel

Comment 3 Alex Lancaster 2008-07-13 22:09:26 UTC
(In reply to comment #1)
> Should be fixed in 1.9.93-3.fc10.
> 
> I have deleted the pkg.acl file. I hope this may open the ACLs.

That doesn't work anymore, you have to manage the package via PackageDB now:

https://fedoraproject.org/wiki/Infrastructure/SOP/PackageDB

For subcommander here is the page:

https://admin.fedoraproject.org/pkgdb/packages/name/subcommander

Looks like you have opened up all the branches except for Fedora 9 (select the
checkbox "group members can commit").

Comment 4 Alex Lancaster 2008-07-13 22:12:44 UTC
(In reply to comment #2)
> Unfortunately, there are some issue with the build which depends on the packages
> apr-devel and apr-util-devel

No, it looks simpler than that, according to:

http://koji.fedoraproject.org/koji/getfile?taskID=712861&name=build.log

atch #2 (subcommander-2.0.0b3-var.patch):
+ /bin/cat /builddir/build/SOURCES/subcommander-2.0.0b3-var.patch
+ /usr/bin/patch -s -p0 --fuzz=0
patch unexpectedly ends in middle of line
2 out of 2 hunks FAILED -- saving rejects to file util/Stackframe.cpp.rej

the patch is failing to apply, so you'll probably need to investigate why the
patch is failing.

Comment 5 Jochen Schmitt 2008-07-14 14:20:47 UTC
Sorry, the patch-fuzz issue I have fixed. But there are some issues with the 
configure.ac file which needs to run autoconf agains subcommander. But this is 
only possibly, if the reported bugs agains apr-devel and apr-util-devel are 
solved.

As an addtional information from the upstream, there is a bug in subversion-1.5 
which couse a crash of subcommander.

Hi Jochen,

thanks for your patch :)

Unfortunately subversion 1.5.0 has a compatibility bug which crashes 
subcommander when running a commit. :(

I created a patch that was applied in subversion r31944. So subcommander will 
need at least 1.5.1. Which does not yet exist..


Comment 6 Jochen Schmitt 2008-07-17 16:00:30 UTC
Fix in subcommander-1.9.93-5.fc10


Note You need to log in before you can comment on or make changes to this bug.